Summary: A mouse server for the Linux console.
Name: gpm
Version: 1.19.2
Release: 1mdk
Copyright: GPL
Group: System/Servers
Source: ftp://metalab.unc.edu/pub/linux/system/mouse/gpm-%{version}.tar.bz2
Source1: gpm.init
Patch0: gpm-nops.patch.bz2
Patch2: gpm-1.17.5-docfix.patch.bz2
Patch3: gpm-nonroot.patch.bz2
Prereq: /sbin/chkconfig, /sbin/ldconfig, /sbin/install-info
# this defines the library version that this package builds.
%define LIBVER 1.18.0
BuildRoot: %{_tmppath}/gpm-root

%description
Gpm provides mouse support to text-based Linux applications like the
emacs editor, the Midnight Commander file management system, and other
programs.  Gpm also provides console cut-and-paste operations using
the mouse and includes a program to allow pop-up menus to appear at
the click of a mouse button.

Gpm should be installed if you intend to use a mouse with your Linux
Mandrake system.

%package devel
Requires: gpm
Summary: Libraries and header files for developing mouse driven programs.
Group: Development/C

%description devel
The gpm-devel package contains the libraries and header files needed
for development of mouse driven programs.  This package allows you to
develop text-mode programs which use the mouse.

Install gpm-devel if you need to develop text-mode programs which will use
the mouse.  You'll also need to install the gpm package.

%prep
%setup -q
%patch0 -p1 -b .nops
%patch2 -p1 -b .docfix
%patch3 -p1 -b .nonroot

%build
autoconf
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" \
    lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp 
    ./configure \
	--prefix=/usr \
	--sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc

PATH=/sbin:$PATH:/usr/sbin:$PATH

make prefix=$RPM_BUILD_ROOT/usr \
lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp install-strip

install -m644 doc/gpm-root.1 $RPM_BUILD_ROOT/usr/man/man1
install -m644 gpm-root.conf $RPM_BUILD_ROOT/etc
install -s -m755 hltest $RPM_BUILD_ROOT/usr/bin
make t-mouse.el t-mouse.elc
install -m644 t-mouse.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

{
  pushd $RPM_BUILD_ROOT
  ln -sf libgpm.so.%{LIBVER} ./usr/lib/libgpm.so
  popd
} 

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d  
install -m 755 $RPM_SOURCE_DIR/gpm.init $RPM_BUILD_ROOT/etc/rc.d/init.d/gpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gpm
/sbin/ldconfig
if [ -x "/sbin/install-info" ]; then
		/sbin/install-info /usr/info/gpm.info.bz2 /usr/info/dir
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info /usr/info/gpm.info.bz2 --delete /usr/info/dir
	/sbin/chkconfig --del gpm
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/gpm-root.conf

/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/hltest
/usr/sbin/gpm
/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/mev.1*
/usr/man/man1/gpm-root.1*
/usr/man/man8/gpm.8*
/usr/lib/libgpm.so.%{LIBVER}
%config /etc/rc.d/init.d/gpm

%files devel
%defattr(-,root,root)
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so

%changelog
* Mon Apr 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.2-1mdk
- 1.19.2 (definitely fix sec. hole).

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-2mdk
- Correct groups.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-1mdk
- Add security patch for gpm-root by redhat.
- gpm.init cleanup.
- 1.19.1
- Update groups.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- And a relifting for spec.

* Wed Sep 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- 1.18.0 final : WizardPad procotol and older Synaptics PS/2 touchpads
                 are now supported, gpm allows the touchpad 
                 to be ignored if unplugged, and some other changes. 

* Thu Aug 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix typo in gpm.init (#59).
- Fix building as user.

* Sun Aug  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.9

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix really stupid type-o (whats sleep?)

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>

- test for /sbin/install-info just incase it's not there
 
* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- moved gpm-root.conf from /etc to /usr/etc so it actualy works


* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch for the texinfo (new syntax ?).

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.7
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Mar  4 1999 Matt Wilson <msw@redhat.com>
- updated to 1.17.5

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- avoid using makedev for internal functions (it is a #define in the system
  headers)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.17.2.

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- enforce the use of -D_GNU_SOURCE so that it will compile on the ARM
- build against glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.13

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
